Page MenuHomePhabricator

let term fields grow to initial value height
Closed, ResolvedPublic

Description

As a user switching from reading into editing mode
I want to see the same amount of information in label, description and alias-fields in both reading and editing mode.
Therefor the boxes signaling editing mode should adapt their heights to the value of these fields.

Values should not be cut of. Therefore scrolling should not happen.
When entering text, the field should grow with its value.

Note:

  • Similar to investigations on sticky buttons and new lines for aliases have a look into how much it will cost. If either the initial adaption of the field heights or the "live" adjustment of entered text costs a lot, let's discuss again what other ways we could go.
  • created based on @Pablo-WMDE's interpretation of the story AC "existing content of the fields is shown fully"

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2019, 10:01 AM
Pablo-WMDE updated the task description. (Show Details)Apr 5 2019, 11:10 AM

Change 501584 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Let label field grow to initial value height

https://gerrit.wikimedia.org/r/501584

Pablo-WMDE added a comment.EditedApr 9 2019, 1:06 PM

@Jakob_WMDE Adding overflow: auto ensures that scroll bars are not shown - while, by default, in "special" browsers they were visible for reasons.

Change 501584 merged by jenkins-bot:
[wikibase/termbox@master] Make label and description inputs grow with their values

https://gerrit.wikimedia.org/r/501584

Jakob_WMDE closed this task as Resolved.Apr 23 2019, 12:20 PM